body {
    /* Remove qualquer margem do elemento */
    margin: 0;
    /* background-color modifica a cor de fundo do elemento */
    background-color: #fff;
    /* color modifica a cor da fonte do elemento */
    color: #333;
    /* font-family muda a fonte que será usada. Caso não encontre a primeira, tenta a próxima */
    font-family: Arial, Helvetica, sans-serif;
    /* Permite elementos filhos serem posicionados em relação a este */
    position: relative;
    /* Preenche o espaço onde ficará a barra de navegação */
    /* Isto é necessário pois, quando setamos a posição de um elemento para absolute ou fixed */
    /* Ele é 'desacoplado' da estrutura original */
    padding-top: 50px;
}

/* --- HEADER --- */

header {
    text-align: center;
    color: #fff;
    /* padding gera um preenchimento/espaçamento dentro do elemento */
    padding: 50px 0;
    /* border modifica a borda do elemento (ordem: largura, estilo e cor) */
    /* px é uma unidade de medida que mede exatamente 1 pixel */
    border-bottom: 1px solid #333;
}

header h1, header p {
    margin: 0;
    /* a unidade de medida rem é relativa ao tamanho da fonte herdado */
    margin-top: 1rem;
    margin-bottom: 0.5rem;
    /* para modificiar os parâmetros de text-shadow, recomenda-se abrir o console do navegador */
    text-shadow: 1px 1px #333;
}

#header-sobre {
    background-image: linear-gradient(to bottom right, #36d1dc, #5b86e5);
}

#minha-foto {
    max-width: 150px;
    /* border-radius torna o elemento arredondado nos cantos */
    border-radius: 50%;
    box-shadow: 3px 3px 5px #333;
}

.container {
    max-width: 500px;
    /* Uma margem automática na largura centraliza o elemento */
    margin: 0 auto;
}

/* --- NAV --- */

nav {
    /* Posiciona a barra de navegação numa posição fixa, no topo à esquerda */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 50px;
    background-color: white;
    color: #333;
    border-bottom: 1px solid #333;
    font-size: 16px;
}

nav .nav-title {
    margin-left: 20px;
    line-height: 50px;
    height: 50px;
    font-weight: bold;
    /* Joga o elemento para a esquerda */
    float: left;
    font-size: 1em;
}

nav ul.nav-items {
    margin: 0;
    margin-right: 20px;
    padding: 0;
    height: 50px;
    font-weight: bold;
    /* Joga o elemento para a direita */
    float: right;
    /* Remove o estilo padrão de uma lista não ordenada */
    list-style-type: none;
    font-size: 0.8rem;
}

nav ul.nav-items li {
    /* Faz os elementos ficarem na mesma linha */
    display: inline-block;
    height: 50px;
    line-height: 50px;
}

nav a {
    display: inline-block;
    /* Remove o sublinhado padrão de links */
    text-decoration: none;
    color: #333;
    height: 100%;
    padding: 0 10px;
}

/* Seletores especiais com ':' representam estados ou eventos de um elemento */
/* :hover é chamado quando o mouse está acima do elemento, e :active quando foi clicado */
/* Existe também :link e :visited, que não utilizaremos aqui */
nav a:hover, nav a:active {
    background-color: #eee;
}

nav a.selected {
    background-color: #eee;
}
